Get report time series data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_id": "report_id"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById"
payload = { "report_id": "report_id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_id: 'report_id'})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_id' => 'report_id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById"
payload := strings.NewReader("{\n \"report_id\": \"report_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_id\": \"report_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_id\": \"report_id\"\n}"
response = http.request(request)
puts response.read_body{
"group_labels_by_group_id": {
"key": "group_labels_by_group_id"
},
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"observation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"report_id": "report_id",
"confidence_level": 0.8008281904610115,
"time_series_by_group_id": {
"key": [
6.027456183070403,
6.027456183070403
]
},
"portfolio_name": "portfolio_name",
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}Get report time series data
POST
/
api
/
VarReport
/
GetReportTimeSeriesDataById
Get report time series data
curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_id": "report_id"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById"
payload = { "report_id": "report_id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_id: 'report_id'})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_id' => 'report_id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById"
payload := strings.NewReader("{\n \"report_id\": \"report_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_id\": \"report_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportTimeSeriesDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_id\": \"report_id\"\n}"
response = http.request(request)
puts response.read_body{
"group_labels_by_group_id": {
"key": "group_labels_by_group_id"
},
"mkt_data_date": "2000-01-23T04:56:07.000+00:00",
"var_horizon": 1,
"reporting_currency": "reporting_currency",
"observation_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"time_stamp": "2000-01-23T04:56:07.000+00:00",
"report_id": "report_id",
"confidence_level": 0.8008281904610115,
"time_series_by_group_id": {
"key": [
6.027456183070403,
6.027456183070403
]
},
"portfolio_name": "portfolio_name",
"pricing_date": "2000-01-23T04:56:07.000+00:00"
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Get report data request
Response
Success
Available options:
Derivitec.Web.Core.Reports.ApiVarReportTimeSeriesDataResponse, Derivitec.Web.Core Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?